from evrouting.osm.imports import slice_array


def test_slice():
    way = list(range(10))
    node_pass_count = {w: 1 for w in way}
    node_pass_count[0] = 2
    node_pass_count[4] = 2
    node_pass_count[6] = 2
    node_pass_count[9] = 2

    slices = slice_array(way, node_pass_count)

    assert slices == [[0, 1, 2, 3, 4], [4, 5, 6], [6, 7, 8, 9]]


def test_slice_short():
    way = [0, 1]
    node_pass_count = {w: 1 for w in way}
    slices = slice_array(way, node_pass_count)

    assert slices == [[0, 1]]
